<script>
import SvgIcon from "@/components/SvgIcon.vue";
export default {
  name: "UCard",
  components: {
    SvgIcon,
  },
  props: {
    isArrow: {
      type: Boolean,
      default: false,
    }, // 箭头
    leftIconName: {
      type: String,
      default: "",
    }, // 箭头
    shadow: {
      type: Boolean,
      default: false,
    }, // 阴影
    padding: {
      type: Number,
      default: 35,
    }, // 内边距
    paddingBottom: {
      type: Number,
    }, // 内边距
    color: {
      type: String,
      default: "#fff",
    }, // 背景色
    leftText: {
      type: String,
      default: "",
    }, // 左侧文字
    rightText: {
      type: String,
      default: "",
    }, // 右侧文字
    rightTextColor: {
      type: String,
      default: "",
    },
    bottom: {
      type: Boolean,
      default: false,
    }
  },
  computed: {
    cardStyle() {
      return {
        padding: `${this.$px2vw(this.padding)}`,
        paddingBottom : `${this.$px2vw(this.paddingBottom)}`,
        backgroundColor: this.color,
      };
    }
  },
  methods: {
    handleClick(e) {
      this.$emit('onClick', e)
    }
  }
};
</script>

<template>
  <div
    class="card-container"
    :class="{ 'card-shadow': shadow }"
    :style="cardStyle"
    @click.stop="handleClick"
  >
    <div class="top">
      <div class="card-left">
        <slot name="left"></slot>
        <span v-if="leftText">{{ leftText }}</span>
        <SvgIcon
            v-if="leftIconName"
            :icon-class="leftIconName"
            class="icon-left"
        />
      </div>
      <div class="card-right">
        <slot name="right"></slot>
        <span v-if="rightText" :style="{ 'color': rightTextColor }">{{ rightText }}</span>
        <SvgIcon v-if="isArrow" icon-class="arrow_right" class="icon" />
      </div>
    </div>


    <div v-if="bottom" class="bottom">
      <slot name="bottom" />
    </div>
  </div>
</template>

<style scoped lang="scss">
.card-container {
  border-radius: 16px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;

  .top {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    .card-left {
      flex: 1;
      display: flex;
      align-items: center;
      font-size: 28px;
      font-weight: 400;
      color: #000000;
      line-height: 33px;
      .icon-left {
        width: 36px;
        height: 36px;
        margin-left: 11px;
      }
    }
    .card-right {
      display: flex;
      align-items: center;
      font-size: 28px;
      font-weight: 400;
      color: #000000;
      line-height: 33px;
      .icon {
        margin-left: 20px;
        width: 17px;
        height: 30px;
      }
    }
  }


  .bottom {
    margin-top: 35px;
    width: 100%;
  }
}

.card-shadow {
  box-shadow: 0px 4px 10px 0px rgba(0, 0, 0, 0.1);
}

</style>
